## grendel.widgets
Interface CellEditor

All Known Implementing Classes:
  ToggleCellEditor, TextCellEditor

public abstract interface CellEditor
extends javax.swing.CellEditor

Method Summary
`java.awt.Component` | `getCellEditorComponent()`
`void` | `setValue(java.lang.Object aObject, java.lang.Object aData, boolean aSelected)`
`boolean` | `startCellEditing(java.util.EventObject aEvent)`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, cancelCellEditing, getCellEditorValue, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Method Detail

### setValue

    public void setValue(java.lang.Object aObject,
                         java.lang.Object aData,
                         boolean aSelected)

### startCellEditing

    public boolean startCellEditing(java.util.EventObject aEvent)

### getCellEditorComponent

    public java.awt.Component getCellEditorComponent()